/*
 * Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: WSClient.java 70499 2013-03-08 03:39:52Z djiao $
 */
package com.sun.ts.tests.websocket.ee.javax.websocket.websocketcontainer;

import com.sun.ts.tests.websocket.common.client.WebSocketCommonClient;

/*
 * @class.setup_props: webServerHost;
 *                     webServerPort;
 *                     ws_wait;
 *                     ts_home;
 */
public class WSClient extends WebSocketCommonClient {

	private static final long serialVersionUID = 5168766356852793713L;
	private static final String CONTEXT_ROOT = "ws_websocketcontainer_web";
	private static final String SENT_STRING_MESSAGE = "Hello World";

	public static void main(String[] args) {
		new WSClient().run(args);
	}
	
	public WSClient() {
		setContextRoot(CONTEXT_ROOT);
	}

	/* Run test */
	/*
	 * @testName:  simpleTest
	 * @assertion_ids: 
	 *
	 * @test_Strategy:
	 */
	public void simpleTest() throws Fault {
		String expected = "TCKTestServer opened|" + "TCKTestServer received: "
				+ SENT_STRING_MESSAGE + "|TCKTestServer responds";		
		setCountDownLatchCount(3);
		setProperty(Property.REQUEST, buildRequest("TCKTestServer"));
		setProperty(Property.SEARCH_STRING, expected);
		setProperty(Property.CONTENT, SENT_STRING_MESSAGE);
		invoke();

	}
}
